## ros-humble-gazebo-ros2-control 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(gazebo_ros2_control)

find_package(ament_cmake REQUIRED)
find_package(angles REQUIRED)
find_package(controller_manager REQUIRED)
find_package(gazebo_dev REQUIRED)
find_package(gazebo_ros REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wconversion -Wno-sign-conversion -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

include_directories(include)
link_directories(
  ${gazebo_dev_LIBRARY_DIRS}
)

# Libraries
add_library(${PROJECT_NAME} SHARED
  src/gazebo_ros2_control_plugin.cpp
)
ament_target_dependencies(${PROJECT_NAME}
  angles
  controller_manager
  gazebo_dev
  gazebo_ros
  hardware_interface
  pluginlib
  rclcpp
  yaml_cpp_vendor
)

add_library(gazebo_hardware_plugins SHARED
  src/gazebo_system.cpp
)
ament_target_dependencies(gazebo_hardware_plugins
  angles
  gazebo_dev
  hardware_interface
  rclcpp
)

## Install
install(TARGETS
  ${PROJECT_NAME}
  gazebo_hardware_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(
  include
)

ament_export_dependencies(
  ament_cmake
  angles
  controller_manager
  gazebo_dev
  gazebo_ros
  hardware_interface
  pluginlib
  rclcpp
  yaml_cpp_vendor
)

ament_export_libraries(
  ${PROJECT_NAME}
  gazebo_hardware_plugins
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

pluginlib_export_plugin_description_file(gazebo_ros2_control gazebo_hardware_plugins.xml)

ament_package()

=== debian/changelog ===
ros-humble-gazebo-ros2-control (0.4.4-1jammy) jammy; urgency=high

  * Catch pluginlib exceptions (backport #229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>) (#230 <https://github.com/ros-controls/gazebo_ros2_control/issues/230>)
    * Catch pluginlib exceptions (#229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit f8a475d3092e67b77846d76738ffad0861c680c1)
  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Removed unused var (#220 <https://github.com/ros-controls/gazebo_ros2_control/issues/220>) (#226 <https://github.com/ros-controls/gazebo_ros2_control/issues/226>)
    (cherry picked from commit 174e6b85f82774e9e802a5540382999066734421)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Remove plugin export from ROS 1 (#212 <https://github.com/ros-controls/gazebo_ros2_control/issues/212>) (#215 <https://github.com/ros-controls/gazebo_ros2_control/issues/215>)
    (cherry picked from commit c15af63cb036cd1f36cffbc56e5e5bdb5224c7e2)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Forced zero vel in position mode to avoid sagging (#213 <https://github.com/ros-controls/gazebo_ros2_control/issues/213>) (#214 <https://github.com/ros-controls/gazebo_ros2_control/issues/214>)
    (cherry picked from commit 3e950618a1f82c72097f7c90a6b5d2ea2e32b7b8)
    Co-authored-by: gwalck <mailto:guillaume.walck@stoglrobotics.de>
  * Various bug fixes (#177 <https://github.com/ros-controls/gazebo_ros2_control/issues/177>) (#208 <https://github.com/ros-controls/gazebo_ros2_control/issues/208>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>) (#207 <https://github.com/ros-controls/gazebo_ros2_control/issues/207>)
    * Add pre-commit and ci-format
    (cherry picked from commit f2cf686a1a97cefc9b5e3daa115e0c4854ea5707)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.3-1jammy) jammy; urgency=high

  * add copy operator to SafeEnum (#197 <https://github.com/ros-controls/gazebo_ros2_control/issues/197>) (#198 <https://github.com/ros-controls/gazebo_ros2_control/issues/198>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.2-1jammy) jammy; urgency=high

  * Export all dependencies (#183 <https://github.com/ros-controls/gazebo_ros2_control/issues/183>)
    The ament_export_dependencies exports dependencies to downstream
    packages. This is necessary so that the user of the library does
    not have to call find_package for those dependencies.
  * Contributors: Adrian Zwiener

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 01 Mar 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.1-1jammy) jammy; urgency=high

  * Force setting use_sim_time parameter when using plugin. (#171 <https://github.com/ros-controls/gazebo_ros2_control/issues/171>)
  * Removed warning (#162 <https://github.com/ros-controls/gazebo_ros2_control/issues/162>)
  * Mimic joint should have the same control mode as mimicked joint. (#154 <https://github.com/ros-controls/gazebo_ros2_control/issues/154>)
  * Enable loading params from multiple yaml files (#149 <https://github.com/ros-controls/gazebo_ros2_control/issues/149>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.0-1jammy) jammy; urgency=high

  * Implemented perform_command_mode_switch override in GazeboSystem (#136 <https://github.com/ros-simulation/gazebo_ros2_control/issues/136>)
  * added namespace to controller manager (#147 <https://github.com/ros-simulation/gazebo_ros2_control/issues/147>)
  * Activate all hardware in URDF (#144 <https://github.com/ros-simulation/gazebo_ros2_control/issues/144>)
  * activated all hardware by default (#143 <https://github.com/ros-simulation/gazebo_ros2_control/issues/143>)
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * changed name to GazeboSystem (#142 <https://github.com/ros-simulation/gazebo_ros2_control/issues/142>)
  * Contributors: Denis Štogl, Keegan Sotebeer, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.3.1-1jammy) jammy; urgency=high

  * Added logic for activating hardware interfaces (#139 <https://github.com/ros-simulation/gazebo_ros2_control/issues/139>)
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-humble-gazebo-ros2-control (0.3.0-1jammy) jammy; urgency=high

  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Merge remote-tracking branch 'denis/using-under-namespace' into ahcorde/main/117
  * update read/write interface functions of ros2_control parts


=== debian/control ===
Source: ros-humble-gazebo-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-angles, ros-humble-controller-manager, ros-humble-gazebo-dev, ros-humble-gazebo-ros, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-humble-gazebo-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-angles, ros-humble-controller-manager, ros-humble-gazebo-dev, ros-humble-gazebo-ros, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: gazebo_ros2_control

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-gazebo-ros2-control//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-gazebo-ros2-control 0.4.8

=== debian/changelog ===
ros-humble-gazebo-ros2-control (0.4.8-1bookworm) bookworm; urgency=high

  * Add PID controller to control joint using effort (#294 <https://github.com/ros-controls/gazebo_ros2_control//issues/294>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Update precommit config (#298 <https://github.com/ros-controls/gazebo_ros2_control//issues/298>) (#301 <https://github.com/ros-controls/gazebo_ros2_control//issues/301>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 105c0ba5b786a43e1e9266399ab027a12011c643)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Fix incorrect force-torque sensor vec population (#296 <https://github.com/ros-controls/gazebo_ros2_control//issues/296>) (#299 <https://github.com/ros-controls/gazebo_ros2_control//issues/299>)
    (cherry picked from commit fdcd7aa8c67ea57f44bbf2f8fba90a28d7f04b5d)
    Co-authored-by: Mateus Menezes <mailto:mateusmenezes95@gmail.com>
  * Contributors: chameau5050, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.7-1bookworm) bookworm; urgency=high

  * Update gazebo_ros2_control_plugin.cpp (#286 <https://github.com/ros-controls/gazebo_ros2_control/issues/286>) (#287 <https://github.com/ros-controls/gazebo_ros2_control/issues/287>)
    (cherry picked from commit 5e1f9a52bcd1bf4164186dbb3c8b5cf070ed156e)
    Co-authored-by: Tobias Fischer <mailto:info@tobiasfischer.info>
  * set the robot description parameter (#277 <https://github.com/ros-controls/gazebo_ros2_control/issues/277>)
  * Fix crashing due to an invalid parameter in the initial value. (backport #271 <https://github.com/ros-controls/gazebo_ros2_control/issues/271>) (#282 <https://github.com/ros-controls/gazebo_ros2_control/issues/282>)
    * Fix crashing due to an invalid parameter in the initial value. (#271 <https://github.com/ros-controls/gazebo_ros2_control/issues/271>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit cdae6b8a8f638d87146482e99bf76cf36530e5a6)
    Co-authored-by: Wiktor Bajor <mailto:69388767+Wiktor-99@users.noreply.github.com>
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * Contributors: AB, mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.6-1bookworm) bookworm; urgency=high

  * Load the URDF to the resource_manager before parsing it to CM  (#262 <https://github.com/ros-controls/gazebo_ros2_control//issues/262>) (#266 <https://github.com/ros-controls/gazebo_ros2_control//issues/266>)
    * Load the URDF to the resource_manager before parsing it to CM constructor (fixes https://github.com/ros-controls/ros2_control/issues/1299)
    (cherry picked from commit f5baf71c4c7cb3c0a0af52f988c107b356c95ed0)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fix links in documentation (#263 <https://github.com/ros-controls/gazebo_ros2_control//issues/263>) (#264 <https://github.com/ros-controls/gazebo_ros2_control//issues/264>)
    (cherry picked from commit d44b879615a539fc7c6c53707ec518df7bfd4f47)
    Co-authored-by: Silvio Traversaro <mailto:silvio@traversaro.it>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.5-1bookworm) bookworm; urgency=high

  * Fix stuck passive joints (#237 <https://github.com/ros-controls/gazebo_ros2_control/issues/237>) (#238 <https://github.com/ros-controls/gazebo_ros2_control/issues/238>)
    (cherry picked from commit 5dba0f95a03b136f39145c846ec5ebbfb5a09599)
    Co-authored-by: Johannes Huemer <mailto:johannes.huemer@ait.ac.at>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.4-1bookworm) bookworm; urgency=high

  * Catch pluginlib exceptions (backport #229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>) (#230 <https://github.com/ros-controls/gazebo_ros2_control/issues/230>)
    * Catch pluginlib exceptions (#229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit f8a475d3092e67b77846d76738ffad0861c680c1)
  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>) (#228 <https://github.com/ros-controls/gazebo_ros2_control/issues/228>)
    (cherry picked from commit 6da415cf82a75e2a5e9f9a41400957ad45b2be84)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Removed unused var (#220 <https://github.com/ros-controls/gazebo_ros2_control/issues/220>) (#226 <https://github.com/ros-controls/gazebo_ros2_control/issues/226>)
    (cherry picked from commit 174e6b85f82774e9e802a5540382999066734421)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Remove plugin export from ROS 1 (#212 <https://github.com/ros-controls/gazebo_ros2_control/issues/212>) (#215 <https://github.com/ros-controls/gazebo_ros2_control/issues/215>)
    (cherry picked from commit c15af63cb036cd1f36cffbc56e5e5bdb5224c7e2)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Forced zero vel in position mode to avoid sagging (#213 <https://github.com/ros-controls/gazebo_ros2_control/issues/213>) (#214 <https://github.com/ros-controls/gazebo_ros2_control/issues/214>)
    (cherry picked from commit 3e950618a1f82c72097f7c90a6b5d2ea2e32b7b8)
    Co-authored-by: gwalck <mailto:guillaume.walck@stoglrobotics.de>


=== debian/control ===
Source: ros-humble-gazebo-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-angles, ros-humble-control-toolbox, ros-humble-controller-manager, ros-humble-gazebo-dev, ros-humble-gazebo-ros, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-humble-gazebo-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-angles, ros-humble-control-toolbox, ros-humble-controller-manager, ros-humble-gazebo-dev, ros-humble-gazebo-ros, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: gazebo_ros2_control

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-gazebo-ros2-control//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-gazebo-ros2-control//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-gazebo-ros2-control//opt/ros/humble/opt/gazebo_ros2_control/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-gazebo-ros2-control 0.4.10

=== debian/changelog ===
ros-humble-gazebo-ros2-control (0.4.10-1bookworm) bookworm; urgency=high

  * Add support for getting PID parameters from loaded parameters (#374 <https://github.com/ros-controls/gazebo_ros2_control//issues/374>) (#375 <https://github.com/ros-controls/gazebo_ros2_control//issues/375>)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 6a4cc84344ed1a86807dc77f23f199598a205296)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
  * Add hold_joints parameter (backport #251 <https://github.com/ros-controls/gazebo_ros2_control//issues/251>) (#353 <https://github.com/ros-controls/gazebo_ros2_control//issues/353>)
    Co-authored-by: Christoph Froehlich <mailto:christoph.froehlich@ait.ac.at>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 16 Sep 2024 16:00:00 -0000

ros-humble-gazebo-ros2-control (0.4.9-1bookworm) bookworm; urgency=high

  * Initialize antiwindup variable properly (#326 <https://github.com/ros-controls/gazebo_ros2_control/issues/326>) (#327 <https://github.com/ros-controls/gazebo_ros2_control/issues/327>)
    (cherry picked from commit 1ef9652ac34ed883dbf8fed27bcf393f78f53d52)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 01 Jul 2024 16:00:00 -0000
